<#include "header.ftl">
<@head title="${post.title!} - ${blog_title!}"/>
<main>
    <div class="wrap min">
        <section class="post-title">
            <h2>${post.title!}</h2>
            <div class="post-meta">
                <time class="date">发布于${post.createTime?string('yyyy-MM-dd')}&nbsp;最后修改于${post.editTime?string('yyyy-MM-dd')}</time>
                <span class="comments">${post.commentCount!}</span>
                <#--计数问题-->
                <span class="visits">${post.visits!0}</span>
            </div>
        </section>
            <article class="post-content">
              <blockquote>
                文章于
                    <#assign time = (.now?long-(post.editTime?long))/1000 />
                    <#if time gte 31104000>${(time/31104000)?int}年前更新，文章内容已经很陈旧了，也许不再适用！
                    <#elseif time gte 2592000>${(time/2592000)?int}个月前更新，文章距上次编辑时间较远，部分内容可能已经过时！
                    <#elseif time gte 172800>${(time/86400)?int}天前更新，请放心阅读！
                    <#elseif time gte 86400>昨天更新，请放心阅读！
                    <#elseif time gte 3600>${(time/3600)?int}小时前更新，请放心阅读！
                    <#elseif time gte 60>${(time/60)?int}分钟前更新，请放心阅读！
                    <#elseif time gt 0>${time?int}秒前更新，请放心阅读！
                    <#else>刚刚更新，请放心阅读！
                    </#if>
                    本文一共${post.wordCount!}个字，阅读完预计需要 ${(post.wordCount/600)?int }分钟${((post.wordCount%600)/10)?int+1}秒
                </blockquote>
            ${post.formatContent!}
            </article>
            <section class="post-near">
            <ul>   
                <li>
                    上一篇：
                    <#if prevPost??>
                        <a href="${prevPost.fullPath!}">${prevPost.title!}</a>
                    <#else>
                        看完啦 (つд⊂)
                    </#if>
                </li>
                <li>
                    下一篇：
                    <#if nextPost??>
                        <a href="${nextPost.fullPath!}">${nextPost.title!}</a>
                    <#else>
                        看完啦 (つд⊂)
                    </#if>
                </li>
            </ul>
        </section>
        <div class="post-footer">
        <span class="post-category">
                    <#list post.categories as category>
                                <a href="${category.fullPath!}" >
                                    ${category.name!}
                                </a>
                    </#list>
                </span>
        <span class="post-tags">
            <#list post.tags as tag>
                <a href="${tag.fullPath}" class="tag">${tag.name}</a>
            </#list>
        </span>
        </div>
            <section class="post-author">
                <figure class="author-avatar">
                    <img src="${user.avatar!}" alt="${user.nickname!}" width="200" height="200">
                </figure>
                <div class="author-info">
                    <span>版权归属：${user.nickname!}</span><br>
                    <#if settings.author_text?? && settings.author_text!=''><span>作者信息：${settings.author_text!}</span><br></#if>
                    <span>本文链接：<a href="${post.fullPath!}">${post.fullPath!}</a></span><br>
                    <span>许可协议：本文使用<a href="https://creativecommons.org/licenses/by-nc-sa/4.0/">《署名-非商业性使用-相同方式共享 4.0 国际 (CC BY-NC-SA 4.0)》</a>协议授权</span><br>
                </div>
            </section>
            <@global.comment target=post type="post" />
     </div>
</main>
<#include "footer.ftl">
